Raritan / Server Technology Xerus™ PDU JSON-RPC API: pdumodel::OverCurrentProtector::Sensors Struct Reference

Raritan / Server Technology Xerus™ PDU JSON-RPC API

Public Attributes | List of all members
pdumodel::OverCurrentProtector::Sensors Struct Reference

Overcurrent protector sensors. More...

`import"OverCurrentProtector.idl";`

## Public Attributes
sensors::StateSensor | trip
| Trip sensor (an instance of OverCurrentProtectorTripSensor)
sensors::NumericSensor | voltage
| RMS voltage sensor.
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | maximumCurrent
| Maximum current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | lineFrequency
| AC line frequency sensor.
sensors::NumericSensor | residualCurrent
| Residual current sensor.
sensors::NumericSensor | residualACCurrent
| AC Residual current sensor. More...
sensors::NumericSensor | residualDCCurrent
| DC Residual current sensor. More...
ResidualCurrentStateSensor | residualCurrentStatus
| Residual current monitor state sensor.

## Detailed Description

Overcurrent protector sensors.

## Member Data Documentation

## ◆ residualACCurrent

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::residualACCurrent

AC Residual current sensor.

(AC portion of residual operating current)

## ◆ residualDCCurrent

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::residualDCCurrent

DC Residual current sensor.

(DC portion of residual operating current)

The documentation for this struct was generated from the following file:

- OverCurrentProtector.idl